using System;

namespace sample
{
  class Sample
  {
    const int MAX = 100; //compile time constant
    readonly int value; //runtime constant - intialize it once.
    
    public Sample(int aValue) {
      value = aValue;
    }
    
    public void Display() {
      Console.WriteLine(value);
      // value = 77; //ERROR
    }

    static void Main(string[] args)
    {
      Console.WriteLine(MAX);
      Sample sample = new Sample(10);
      sample.Display();
      
      //MAX = 100; //ERROR
    }
  }
}








